<?php
// $Id: theme-settings.php,v 1.1 2011/01/23 18:36:19 evgenij Exp $
/**
* Implementation of THEMEHOOK_settings() function.
*
* @param $saved_settings
*   array An array of saved settings for this theme.
* @return
*   array A form array.
*/



function phptemplate_settings($saved_settings) {
  /*
   * The default values for the theme variables. Make sure $defaults exactly
   * matches the $defaults in the template.php file.
   */
  $defaults = array(
    'palette-title' => '#ffffff',
    'palette-link' => '#027ac6',
    'palette-top' => '#2385c2',
    'palette-bottom' => '#5ab5ee',
    'palette-text' => '#494949',
  );
if($settings['palette-title'] && $settings['palette-link'] && $settings['palette-top'] && $settings['palette-bottom'] && $settings['palette-text']){
     $settings = array_merge($defaults, $saved_settings);
} else {
      $settings = $defaults;
}
  // Merge the saved variables and their default values
 $settings = array_merge($defaults, $saved_settings);

 drupal_add_css('misc/farbtastic/farbtastic.css');
 drupal_add_js('misc/farbtastic/farbtastic.js');
 drupal_add_js('modules/color/color.js');
 drupal_add_css('modules/color/color.css');
 drupal_add_css('themes/mydefaulttheme/images/preview/preview.css');
 drupal_add_css('themes/mydefaulttheme/images/preview/default.css');
   if($settings["toggle_logo"] == 1){
   if($settings["default_logo"] == 1){
   $preview_logo = '<a href="#" title=""><img src="'.base_path().path_to_theme().'/logo.png" /></a>';
} else {
   $preview_logo = '<a href="#" title=""><img src="'.base_path().$settings["logo_path"].'" /></a>';  
}
 } else { 
   $preview_logo = '';
}
if($settings["toggle_slogan"] == 1){
   $preview_slogan = '<div class="preview-site-slogan">Your site slogan</div>';
   } else { 
   $preview_slogan = '';
}
if($settings["toggle_name"] == 1){
   $preview_name = '<a href="#"><h1 id="preview-site-name">Your site title</h1></a>';
   } else { 
   $preview_name = '';
}
  
  $form['scheme'] = array(
  '#type' => 'select',
  '#prefix' => '<fieldset id="color_scheme_form"><legend>'.t('Color scheme').'</legend><div class="color-form clear-block">',
  '#suffix' => '<div id="palette" class="clear-block">',
  '#options' => array(
    '#ffffff,#027ac6,#2385c2,#5ab5ee,#494949' => t('Blue Lagoon (Default)'),
    '#ffffff,#2f416f,#2a2b2d,#5d6779,#494949' => t('Ash'),
    '#55c0e2,#000000,#085360,#007e94,#696969' => t('Aquamarine'),
    '#d5b048,#6c420e,#331900,#971702,#494949' => t('Belgian Chocolate'),
    '#3f3f3f,#336699,#6598cb,#6598cb,#000000' => t('Bluemarine'),
    '#625f3c,#917803,#efde01,#e6fb2d,#494949' => t('Citrus Blast'),
    '#0f005c,#434f8c,#4d91ff,#1a1575,#000000' => t('Cold Day'),
    '#c9c497,#0c7a00,#03961e,#7be000,#494949' => t('Greenbeam'),
    '#ffe23d,#a9290a,#fc6d1d,#a30f42,#494949' => t('Mediterrano'),
    '#788597,#3f728d,#a9adbc,#d4d4d4,#707070' => t('Mercury'),
    '#bdbedb,#5b5faa,#0a2352,#9fa8d5,#494949' => t('Nocturnal'),
    '#627a38,#6a9915,#b5d52a,#7db323,#191a19' => t('Olivia'),
    '#12020b,#1b1a13,#f391c6,#f41063,#898080' => t('Pink Plastic'),
    '#b7a0ba,#c70000,#a1443a,#f21107,#515d52' => t('Shiny Tomato'),
    '#c9ff70,#1b5f42,#34775a,#52bf90,#2d2d2d' => t('Teal Top'),
  ),
);

    $form['palette-title'] = array(
    '#type' => 'textfield',
    '#title' => t('Title color'),
    //'#default_value' => '#0072b9',
    '#default_value' => $settings['palette-title'],
    '#description' => '',
    //'#name' => 'palette[title]',
    '#required' => FALSE,
    '#size' => '8',
    '#maxlength' => '128',
);  
    $form['palette-link'] = array(
    '#type' => 'textfield',
    '#title' => t('Link color'),
    //'#default_value' => '#027ac6',
    '#default_value' => $settings['palette-link'],
    '#description' => '',
    //'#name' => 'palette[link]',
    '#required' => FALSE,
    '#size' => '8',
    '#maxlength' => '128',
); 
    $form['palette-top'] = array(
    '#type' => 'textfield',
    '#title' => t('Header top'),
    //'#default_value' => '#2385c2',
    '#default_value' => $settings['palette-top'],
    '#description' => '',
    //'#name' => 'palette[top]',
    '#required' => FALSE,
    '#size' => '8',
    '#maxlength' => '128',
);
    $form['palette-bottom'] = array(
    '#type' => 'textfield',
    '#title' => t('Header bottom'),
    //'#default_value' => '#5ab5ee',
    '#default_value' => $settings['palette-bottom'],
    '#description' => '',
    //'#name' => 'palette[bottom]',
    '#required' => FALSE,
    '#size' => '8',
    '#maxlength' => '128',
);
    $form['palette-text'] = array(
    '#type' => 'textfield',
    '#title' => t('Text color'),
    //'#default_value' => '#494949',
    '#default_value' => $settings['palette-text'],
    '#description' => '',
    //'#name' => 'palette[text]',
    '#required' => FALSE,
    '#size' => '8',
    '#maxlength' => '128',
    '#suffix' => '</div></div><table id="preview-body" cellpadding="0" cellspacing="0">
     <tbody>
      <tr>
       <td>
<table id="preview-header" cellpadding="0" cellspacing="0">
     <tbody>
      <tr>
       <td id="preview-header-td">
       <div id="preview-logo">
       '.$preview_logo.$preview_name.$preview_slogan.'</div>
       </td>
      </tr>
     </tbody>
    </table>
    <table cellpadding="0" cellspacing="0" id="preview-header-links">
     <tbody>
      <tr>
       <td class="column-left">
       </td>
       <td class="links-middle">
       <div style="padding: 5px 15px;">
       <a href="#" title="" class="preview-link">Primary test link</a></div>
       </td>
       <td class="column-right">
       </td>
     </tr>
    </tbody>
   </table> 
   <table cellpadding="0" cellspacing="0" id="preview-content">
    <tbody>
     <tr>
      <td class="column-left">
      </td>
            <td valign="top">
              <div id="preview-txt"><h2><a href="#" title="" class="preview-link">Node title link</a></h2>Sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
</div>
</td>   

       <td id="preview-sidebar-right">
         </td>
<td class="column-right">
       </td>
      </tr>
     </tbody>
    </table>
    <table cellpadding="0" cellspacing="0" id="t-bottom">
     <tbody>

      <tr>
       <td id="f-left">
       </td>
       <td id="f-middle">
        <div id="footer">
        Sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</div>
       </td>
       <td id="f-right">

       </td>
      </tr>
     </tbody>
    </table>
   </td>
  </tr>
 </tbody>
</table></fieldset>',
);
  
  $form['colorpicker_example'] = array(
    '#type' => 'item',
    '#description' => "<script type='text/javascript'>
<!--//--><![CDATA[//><!--
  jQuery.extend(Drupal.settings, { 'color': { 'reference': { 'title': '#0072b9', 'link': '#027ac6', 'top': '#2385c2', 'bottom': '#5ab5ee', 'text': '#494949' } } });
  $('div.color-form').mousemove(function(e){
  $('.preview-site-slogan').css('color',$('#edit-palette-title').val());
  $('#preview-site-name').css('color',$('#edit-palette-title').val());
  $('.preview-link').css('color',$('#edit-palette-link').val());
  $('#preview-txt').css('color',$('#edit-palette-text').val());
  var upper_color = $('#edit-palette-top').val();
  var lower_color = $('#edit-palette-bottom').val();
  $('#preview-header').css('background-image','url(".base_path().path_to_theme()."/images/header-bg.php?upper='+upper_color.substr(1)+'&lower='+lower_color.substr(1)+')');
  });
//--><!]]>

    
    </script>",
  );
   
  // Return the additional form widgets
  return $form;
}
?>
